package com.xunwang.education.service;

import com.xunwang.education.entity.MyFavoriteCourses;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xunwang.education.entity.dto.MyTeacherCoursesDto;

import javax.servlet.http.HttpServletRequest;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Long
<<<<<<< HEAD
 * @since 2023-01-12
 */
public interface MyFavoriteCoursesService extends IService<MyFavoriteCourses> {

    List<String> findPersonCollect(HttpServletRequest request);

    int collect(HttpServletRequest request);

    boolean cancelCollect(HttpServletRequest request);

    List<MyTeacherCoursesDto> findPersonCollection(HttpServletRequest request);

}
